Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.scriptvalues_mod
Class ScriptValuesAddedFunctions

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.pentaho.di.trans.steps.scriptvalues_mod.ScriptValuesAddedFunctions

All Implemented Interfaces:
  Serializable, org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Scriptable

    public class ScriptValuesAddedFunctions

extends org.mozilla.javascript.ScriptableObject

See Also:
  Serialized Form

Field Summary
`static int` | `DATE_FUNCTION`
`static int` | `FILE_FUNCTION`
`static String[]` | `jsFunctionList`
`static int` | `LOGIC_FUNCTION`
`static int` | `NUMERIC_FUNCTION`
`static long` | `serialVersionUID`
`static int` | `SPECIAL_FUNCTION`
`static int` | `STRING_FUNCTION`

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`ScriptValuesAddedFunctions()`

Method Summary
`static Object` | `abs(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `Alert(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `appendToFile(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `ceil(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `copyFile(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `createFolder(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object[]` | `createRowCopy(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `date2str(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `dateAdd(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `dateDiff(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `decode(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `deleteFile(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `fileExists(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `fillString(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `fireToDB(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `floor(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`String` | `getClassName()`
`static Object` | `getDayNumber(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getDigitsOnly(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getEnvironmentVar(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getFileExtension(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static double` | `getFileSize(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `getFiscalDate(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static org.pentaho.di.core.row.RowMetaInterface` | `getInputRowMeta(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getLastModifiedTime(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `getNextWorkingDay(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static org.pentaho.di.core.row.RowMetaInterface` | `getOutputRowMeta(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getParentFoldername(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static double` | `getProcessCount(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getShortFilename(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `getTransformationName(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `getVariable(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static int` | `indexOf(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `isCodepage(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `isDate(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static boolean` | `isFile(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static boolean` | `isFolder(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `isNum(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `isRegExp(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `isWorkingDay(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `LoadScriptFile(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `LoadScriptFromTab(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `lower(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `lpad(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `ltrim(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static boolean` | `LuhnCheck(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `month(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `moveFile(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `num2str(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `print(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `println(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `putRow(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `quarter(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `replace(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `resolveIP(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `rpad(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `rtrim(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `sendMail(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `setEnvironmentVar(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `setVariable(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `str2date(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `str2num(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `str2RegExp(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `substr(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `touch(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `trim(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `trunc(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `truncDate(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static String` | `upper(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `week(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static void` | `writeToLog(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`
`static Object` | `year(org.mozilla.javascript.Context actualContext, org.mozilla.javascript.Scriptable actualObject, Object[] ArgList, org.mozilla.javascript.Function FunctionContext)`

Methods inherited from class org.mozilla.javascript.ScriptableObject
`associateValue, avoidObjectDetection, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, delete, deleteProperty, deleteProperty, get, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, has, hasInstance, hasProperty, hasProperty, isConst, isSealed, put, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### STRING_FUNCTION

    public static final int STRING_FUNCTION

See Also:
  Constant Field Values

### NUMERIC_FUNCTION

    public static final int NUMERIC_FUNCTION

See Also:
  Constant Field Values

### DATE_FUNCTION

    public static final int DATE_FUNCTION

See Also:
  Constant Field Values

### LOGIC_FUNCTION

    public static final int LOGIC_FUNCTION

See Also:
  Constant Field Values

### SPECIAL_FUNCTION

    public static final int SPECIAL_FUNCTION

See Also:
  Constant Field Values

### FILE_FUNCTION

    public static final int FILE_FUNCTION

See Also:
  Constant Field Values

### jsFunctionList

    public static String[] jsFunctionList

Constructor Detail

### ScriptValuesAddedFunctions

    public ScriptValuesAddedFunctions()

Method Detail

### getDigitsOnly

    public static String getDigitsOnly(org.mozilla.javascript.Context actualContext,
                                       org.mozilla.javascript.Scriptable actualObject,
                                       Object[] ArgList,
                                       org.mozilla.javascript.Function FunctionContext)

### LuhnCheck

    public static boolean LuhnCheck(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### indexOf

    public static int indexOf(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### getTransformationName

    public static Object getTransformationName(org.mozilla.javascript.Context actualContext,
                                               org.mozilla.javascript.Scriptable actualObject,
                                               Object[] ArgList,
                                               org.mozilla.javascript.Function FunctionContext)

### appendToFile

    public static void appendToFile(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### getFiscalDate

    public static Object getFiscalDate(org.mozilla.javascript.Context actualContext,
                                       org.mozilla.javascript.Scriptable actualObject,
                                       Object[] ArgList,
                                       org.mozilla.javascript.Function FunctionContext)

### getProcessCount

    public static double getProcessCount(org.mozilla.javascript.Context actualContext,
                                         org.mozilla.javascript.Scriptable actualObject,
                                         Object[] ArgList,
                                         org.mozilla.javascript.Function FunctionContext)

### writeToLog

    public static void writeToLog(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### abs

    public static Object abs(org.mozilla.javascript.Context actualContext,
                             org.mozilla.javascript.Scriptable actualObject,
                             Object[] ArgList,
                             org.mozilla.javascript.Function FunctionContext)

### ceil

    public static Object ceil(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### floor

    public static Object floor(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### getDayNumber

    public static Object getDayNumber(org.mozilla.javascript.Context actualContext,
                                      org.mozilla.javascript.Scriptable actualObject,
                                      Object[] ArgList,
                                      org.mozilla.javascript.Function FunctionContext)

### isWorkingDay

    public static Object isWorkingDay(org.mozilla.javascript.Context actualContext,
                                      org.mozilla.javascript.Scriptable actualObject,
                                      Object[] ArgList,
                                      org.mozilla.javascript.Function FunctionContext)

### fireToDB

    public static Object fireToDB(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### dateDiff

    public static Object dateDiff(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### getNextWorkingDay

    public static Object getNextWorkingDay(org.mozilla.javascript.Context actualContext,
                                           org.mozilla.javascript.Scriptable actualObject,
                                           Object[] ArgList,
                                           org.mozilla.javascript.Function FunctionContext)

### dateAdd

    public static Object dateAdd(org.mozilla.javascript.Context actualContext,
                                 org.mozilla.javascript.Scriptable actualObject,
                                 Object[] ArgList,
                                 org.mozilla.javascript.Function FunctionContext)

### fillString

    public static String fillString(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### isCodepage

    public static Object isCodepage(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### ltrim

    public static String ltrim(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### rtrim

    public static String rtrim(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### lpad

    public static String lpad(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### rpad

    public static String rpad(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### year

    public static Object year(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### month

    public static Object month(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### quarter

    public static Object quarter(org.mozilla.javascript.Context actualContext,
                                 org.mozilla.javascript.Scriptable actualObject,
                                 Object[] ArgList,
                                 org.mozilla.javascript.Function FunctionContext)

### week

    public static Object week(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### str2RegExp

    public static Object str2RegExp(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### touch

    public static void touch(org.mozilla.javascript.Context actualContext,
                             org.mozilla.javascript.Scriptable actualObject,
                             Object[] ArgList,
                             org.mozilla.javascript.Function FunctionContext)

### fileExists

    public static Object fileExists(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### str2date

    public static Object str2date(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### date2str

    public static Object date2str(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### isRegExp

    public static Object isRegExp(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### sendMail

    public static void sendMail(org.mozilla.javascript.Context actualContext,
                                org.mozilla.javascript.Scriptable actualObject,
                                Object[] ArgList,
                                org.mozilla.javascript.Function FunctionContext)

### upper

    public static String upper(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### lower

    public static String lower(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### num2str

    public static String num2str(org.mozilla.javascript.Context actualContext,
                                 org.mozilla.javascript.Scriptable actualObject,
                                 Object[] ArgList,
                                 org.mozilla.javascript.Function FunctionContext)

### str2num

    public static Object str2num(org.mozilla.javascript.Context actualContext,
                                 org.mozilla.javascript.Scriptable actualObject,
                                 Object[] ArgList,
                                 org.mozilla.javascript.Function FunctionContext)

### isNum

    public static Object isNum(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### isDate

    public static Object isDate(org.mozilla.javascript.Context actualContext,
                                org.mozilla.javascript.Scriptable actualObject,
                                Object[] ArgList,
                                org.mozilla.javascript.Function FunctionContext)

### decode

    public static Object decode(org.mozilla.javascript.Context actualContext,
                                org.mozilla.javascript.Scriptable actualObject,
                                Object[] ArgList,
                                org.mozilla.javascript.Function FunctionContext)

### replace

    public static String replace(org.mozilla.javascript.Context actualContext,
                                 org.mozilla.javascript.Scriptable actualObject,
                                 Object[] ArgList,
                                 org.mozilla.javascript.Function FunctionContext)

### Alert

    public static String Alert(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### setEnvironmentVar

    public static void setEnvironmentVar(org.mozilla.javascript.Context actualContext,
                                         org.mozilla.javascript.Scriptable actualObject,
                                         Object[] ArgList,
                                         org.mozilla.javascript.Function FunctionContext)

### getEnvironmentVar

    public static String getEnvironmentVar(org.mozilla.javascript.Context actualContext,
                                           org.mozilla.javascript.Scriptable actualObject,
                                           Object[] ArgList,
                                           org.mozilla.javascript.Function FunctionContext)

### trim

    public static String trim(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### substr

    public static String substr(org.mozilla.javascript.Context actualContext,
                                org.mozilla.javascript.Scriptable actualObject,
                                Object[] ArgList,
                                org.mozilla.javascript.Function FunctionContext)

### resolveIP

    public static String resolveIP(org.mozilla.javascript.Context actualContext,
                                   org.mozilla.javascript.Scriptable actualObject,
                                   Object[] ArgList,
                                   org.mozilla.javascript.Function FunctionContext)

### LoadScriptFile

    public static void LoadScriptFile(org.mozilla.javascript.Context actualContext,
                                      org.mozilla.javascript.Scriptable actualObject,
                                      Object[] ArgList,
                                      org.mozilla.javascript.Function FunctionContext)

### LoadScriptFromTab

    public static void LoadScriptFromTab(org.mozilla.javascript.Context actualContext,
                                         org.mozilla.javascript.Scriptable actualObject,
                                         Object[] ArgList,
                                         org.mozilla.javascript.Function FunctionContext)

### print

    public static void print(org.mozilla.javascript.Context actualContext,
                             org.mozilla.javascript.Scriptable actualObject,
                             Object[] ArgList,
                             org.mozilla.javascript.Function FunctionContext)

### println

    public static void println(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`
  Specified by:
    `getClassName` in class `org.mozilla.javascript.ScriptableObject`

### setVariable

    public static void setVariable(org.mozilla.javascript.Context actualContext,
                                   org.mozilla.javascript.Scriptable actualObject,
                                   Object[] ArgList,
                                   org.mozilla.javascript.Function FunctionContext)

### getVariable

    public static String getVariable(org.mozilla.javascript.Context actualContext,
                                     org.mozilla.javascript.Scriptable actualObject,
                                     Object[] ArgList,
                                     org.mozilla.javascript.Function FunctionContext)

### getOutputRowMeta

    public static org.pentaho.di.core.row.RowMetaInterface getOutputRowMeta(org.mozilla.javascript.Context actualContext,
                                                                            org.mozilla.javascript.Scriptable actualObject,
                                                                            Object[] ArgList,
                                                                            org.mozilla.javascript.Function FunctionContext)

### getInputRowMeta

    public static org.pentaho.di.core.row.RowMetaInterface getInputRowMeta(org.mozilla.javascript.Context actualContext,
                                                                           org.mozilla.javascript.Scriptable actualObject,
                                                                           Object[] ArgList,
                                                                           org.mozilla.javascript.Function FunctionContext)

### createRowCopy

    public static Object[] createRowCopy(org.mozilla.javascript.Context actualContext,
                                         org.mozilla.javascript.Scriptable actualObject,
                                         Object[] ArgList,
                                         org.mozilla.javascript.Function FunctionContext)

### putRow

    public static void putRow(org.mozilla.javascript.Context actualContext,
                              org.mozilla.javascript.Scriptable actualObject,
                              Object[] ArgList,
                              org.mozilla.javascript.Function FunctionContext)

### deleteFile

    public static void deleteFile(org.mozilla.javascript.Context actualContext,
                                  org.mozilla.javascript.Scriptable actualObject,
                                  Object[] ArgList,
                                  org.mozilla.javascript.Function FunctionContext)

### createFolder

    public static void createFolder(org.mozilla.javascript.Context actualContext,
                                    org.mozilla.javascript.Scriptable actualObject,
                                    Object[] ArgList,
                                    org.mozilla.javascript.Function FunctionContext)

### copyFile

    public static void copyFile(org.mozilla.javascript.Context actualContext,
                                org.mozilla.javascript.Scriptable actualObject,
                                Object[] ArgList,
                                org.mozilla.javascript.Function FunctionContext)

### getFileSize

    public static double getFileSize(org.mozilla.javascript.Context actualContext,
                                     org.mozilla.javascript.Scriptable actualObject,
                                     Object[] ArgList,
                                     org.mozilla.javascript.Function FunctionContext)

### isFile

    public static boolean isFile(org.mozilla.javascript.Context actualContext,
                                 org.mozilla.javascript.Scriptable actualObject,
                                 Object[] ArgList,
                                 org.mozilla.javascript.Function FunctionContext)

### isFolder

    public static boolean isFolder(org.mozilla.javascript.Context actualContext,
                                   org.mozilla.javascript.Scriptable actualObject,
                                   Object[] ArgList,
                                   org.mozilla.javascript.Function FunctionContext)

### getShortFilename

    public static String getShortFilename(org.mozilla.javascript.Context actualContext,
                                          org.mozilla.javascript.Scriptable actualObject,
                                          Object[] ArgList,
                                          org.mozilla.javascript.Function FunctionContext)

### getFileExtension

    public static String getFileExtension(org.mozilla.javascript.Context actualContext,
                                          org.mozilla.javascript.Scriptable actualObject,
                                          Object[] ArgList,
                                          org.mozilla.javascript.Function FunctionContext)

### getParentFoldername

    public static String getParentFoldername(org.mozilla.javascript.Context actualContext,
                                             org.mozilla.javascript.Scriptable actualObject,
                                             Object[] ArgList,
                                             org.mozilla.javascript.Function FunctionContext)

### getLastModifiedTime

    public static String getLastModifiedTime(org.mozilla.javascript.Context actualContext,
                                             org.mozilla.javascript.Scriptable actualObject,
                                             Object[] ArgList,
                                             org.mozilla.javascript.Function FunctionContext)

### trunc

    public static Object trunc(org.mozilla.javascript.Context actualContext,
                               org.mozilla.javascript.Scriptable actualObject,
                               Object[] ArgList,
                               org.mozilla.javascript.Function FunctionContext)

### truncDate

    public static Object truncDate(org.mozilla.javascript.Context actualContext,
                                   org.mozilla.javascript.Scriptable actualObject,
                                   Object[] ArgList,
                                   org.mozilla.javascript.Function FunctionContext)

### moveFile

    public static void moveFile(org.mozilla.javascript.Context actualContext,
                                org.mozilla.javascript.Scriptable actualObject,
                                Object[] ArgList,
                                org.mozilla.javascript.Function FunctionContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD